MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006785ardourbugspublic2016-02-21 00:412016-02-25 05:44
Reporterkhomkovm 
Assigned To 
PriorityhighSeverityfeatureReproducibilityalways
StatusconfirmedResolutionopen 
Platformx86_64OSLinux MintOS Version17
Product Version4.6 
Target VersionFixed in Version 
Summary0006785: Ardour drops midi notes when looping with 4.6 and 4.7 but not 4.4
DescriptionHi.
Ardour 4.7 has the same loop bug that Ardour 4.6.
Stuttering during playback.
TagsNo tags attached.
Attached Files? file icon video.ogg [^] (898,670 bytes) 2016-02-21 00:41

- Relationships

-  Notes
(0017993)
timbyr (developer)
2016-02-22 02:33

To me this looks like a duplicate of bug 5438 in that the midi notes near the start of a region are not being played/sent after looping.

Would you agree?

Does it make any difference if space/time is added between the loop start and the start of the region?
(0017994)
khomkovm (reporter)
2016-02-22 05:05

It is possible, but why in version 4.4, this bug was not??
I had to reinstall 4.4. second time. First time it was after 4.6. had been released.
(0017999)
timbyr (developer)
2016-02-23 03:02

It may not end up being relevant but what audio backend are you using and is it the same for both 4.4 and 4.6?
(0018000)
khomkovm (reporter)
2016-02-23 04:29

It is the same for both of them (4.4., 4.6., 4.7). I am using Linux
Sampler, RockStock drum library (GIG format).
(0018002)
timbyr (developer)
2016-02-23 16:01

I meant whether you were using the JACK or ALSA backend but I don't think it is relevant as I can confirm that there is a regression from 4.4 as I can't reproduce the dropped notes with that version(with either backend)

As for why(what change introduced this bug), that should be fairly easily to determine with git bisect or perhaps code review, but it would take some time.
(0018005)
khomkovm (reporter)
2016-02-23 22:18

ALSA
(0018008)
x42 (administrator)
2016-02-24 02:48

Is the "Seamless Loop" preference enabled (Preferences > Transport)?

If so, then dropped midi notes are not unexpected: We don't yet support seamless Midi looping (split cycle, midi buffer offset).

In early 4.X releases (probably up to 4.4) seamless looping was broken.

Try to disable seamless looping and check if the issue persists.
(0018013)
khomkovm (reporter)
2016-02-25 05:44

The "Seamless loop" is disabled. The issue persists.

- Issue History
Date Modified Username Field Change
2016-02-21 00:41 khomkovm New Issue
2016-02-21 00:41 khomkovm File Added: video.ogg
2016-02-22 02:33 timbyr Note Added: 0017993
2016-02-22 02:33 timbyr Status new => feedback
2016-02-22 05:05 khomkovm Note Added: 0017994
2016-02-22 05:05 khomkovm Status feedback => new
2016-02-23 03:02 timbyr Note Added: 0017999
2016-02-23 03:02 timbyr Status new => feedback
2016-02-23 04:29 khomkovm Note Added: 0018000
2016-02-23 04:29 khomkovm Status feedback => new
2016-02-23 16:01 timbyr Note Added: 0018002
2016-02-23 16:02 timbyr Summary Ardour 4.7 has the same loop bug that Ardour 4.6. => Ardour drops midi notes when looping with 4.6 and 4.7 but not 4.4
2016-02-23 16:02 timbyr Status new => confirmed
2016-02-23 22:18 khomkovm Note Added: 0018005
2016-02-24 02:48 x42 Note Added: 0018008
2016-02-25 05:44 khomkovm Note Added: 0018013


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker